=== debian/changelog ===
keyd (2.5.0-5) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Tue, 12 Aug 2025 18:54:23 +0200

keyd (2.5.0-5~exp1) experimental; urgency=medium

  * debian/gbp.conf: Use --ignore-branch by default
  * debian/copyright: Bump upstream copyright year to 2024
  * Cherry-pick upstream fix to silence Python syntax warning
  * Define autopkgtest for upstream's integration test suite

 -- Richard Hansen <rhansen@rhansen.org>  Thu, 29 May 2025 18:53:58 -0400

keyd (2.5.0-4) unstable; urgency=medium

  * Change architecture to linux-all (keyd is Linux-specific) (Closes: #1106189)
  * Fix build on architectures without time member in struct input_event
    (Closes: #1106190)

 -- Richard Hansen <rhansen@rhansen.org>  Tue, 20 May 2025 17:20:58 -0400

keyd (2.5.0-3) unstable; urgency=medium

  * Update Debian VCS URL to the project's new location
  * Fix keyd-application-mapper running the wrong keyd executable.
    Thanks to Martin Marshall for the fix (Closes: #1106031)

 -- Richard Hansen <rhansen@rhansen.org>  Tue, 20 May 2025 03:12:46 -0400

keyd (2.5.0-2) unstable; urgency=medium

  * Restore unintentionally removed debian/.gitignore
  * Rename /usr/bin/keyd to keyd.rvaiya to avoid conflict with onak
    (Closes: #1098982)
  * Bump copyright year for debian/*
  * debian/watch: Simplify regex
  * debian/watch: Mangle -alpha, -beta, -rc to ~alpha, ~beta, ~rc
  * Bump Standards-Version to 4.7.2

 -- Richard Hansen <rhansen@rhansen.org>  Tue, 18 Mar 2025 02:29:23 -0400

keyd (2.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 13:06:47 -0500

keyd (2.5.0-1) unstable; urgency=medium

  * Initial version. (Closes: #1060023)

 -- Richard Hansen <rhansen@rhansen.org>  Tue, 10 Sep 2024 17:53:13 -0400
