=== debian/control ===
Source: keyd
Section: utils
Priority: optional
Maintainer: Richard Hansen <rhansen@rhansen.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 scdoc,
Standards-Version: 4.7.2
Homepage: https://github.com/rvaiya/keyd
Vcs-Browser: https://salsa.debian.org/debian/keyd
Vcs-Git: https://salsa.debian.org/debian/keyd.git

Package: keyd
Architecture: linux-any
Multi-Arch: foreign
Depends:
# passwd is only required for groupadd/groupdel in keyd.postinst/keyd.postrm
 passwd,
 ${shlibs:Depends},
 ${misc:Depends},
Description: keyboard key remapping daemon
 keyd is a system-wide key remapping daemon which supports features like
 layering, oneshot modifiers, and macros. In its most basic form it can be used
 to define a custom key layout that persists across display server boundaries
 (e.g wayland/X/tty).

Package: keyd-application-mapper
Architecture: all
Multi-Arch: foreign
Depends:
 keyd,
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 python3-xlib,
Description: keyboard key remapping daemon - application-specific remapper
 keyd is a system-wide key remapping daemon which supports features like
 layering, oneshot modifiers, and macros. In its most basic form it can be used
 to define a custom key layout that persists across display server boundaries
 (e.g wayland/X/tty).
 .
 This package provides a keyd companion daemon that adds support for
 application-specific key bindings by watching for window focus changes. At the
 moment, X, Sway, and GNOME are supported.
