=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	PREFIX=/usr dh $@ --with python3

# `make test` requires root because the tests are run as integration tests that communicate with the
# kernel. `make test-io` runs the same test suite but mocks interactions so it doesn't need root.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test-io
endif
