=== debian/tests/control ===
Test-Command: keyd.rvaiya --version
Depends: keyd
Restrictions: superficial

Test-Command: man keyd.rvaiya >/dev/null
Depends: keyd, man
Restrictions: superficial

Test-Command: keyd-application-mapper --help
Depends: keyd-application-mapper
Restrictions: superficial

Test-Command: man keyd-application-mapper >/dev/null
Depends: keyd-application-mapper, man
Restrictions: superficial

Tests: integration
Depends: keyd, python3:any
Restrictions: isolation-machine, needs-root
