=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*?/v(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,\
uversionmangle=s/-(alpha|beta|rc)/~$1/ \
    https://github.com/rvaiya/keyd/tags \
    .*?/v@ANY_VERSION@@ARCHIVE_EXT@
